<html devsite><head>
    <title>Бюллетень по безопасности Android – февраль 2018 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
  <p><em>Опубликовано 5 февраля 2018 г. | Обновлено 2 апреля 2018 г.</em></p>

<p>
В этом бюллетене содержится информация об уязвимостях в защите устройств Android. Все актуальные проблемы, перечисленные здесь, устранены в исправлении от 5 февраля 2018 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705">Справочном центре</a>.
</p>
<p>
Мы сообщили партнерам обо всех проблемах по крайней мере за месяц до выхода бюллетеня.
Исправления уязвимостей доступны в хранилище Android Open Source Project (AOSP). В бюллетене также приведены ссылки на исправления вне AOSP.</p>
<p>
Самая серьезная из проблем – критическая уязвимость в Media Framework, которая позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла. <a href="/security/overview/updates-resources.html#severity">Уровень серьезности</a> зависит от того, какой ущерб будет нанесен устройству при атаке с использованием уязвимости, если средства защиты будут отключены разработчиком или взломаны.
</p>
<p>
У нас нет информации о том, что обнаруженные уязвимости эксплуатировались. В разделе <a href="#mitigations">Предотвращение атак</a> рассказывается, как <a href="/security/enhancements/index.html">платформа безопасности</a> и Google Play Защита помогают снизить вероятность атак на Android.
</p>
<p class="note">
<strong>Примечание.</strong> Информация о последних автоматических обновлениях (OTA) и образах встроенного ПО для устройств Google содержится в <a href="/security/bulletin/pixel/2018-02-01">бюллетене по безопасности Pixel  и Nexus</a> за февраль 2018 года.
</p>
<h2 id="mitigations">Предотвращение атак</h2>
<p>
Ниже рассказано, как <a href="/security/enhancements/index.html">платформа безопасности</a> и средства защиты сервисов, например <a href="https://www.android.com/play-protect">Google Play Защита</a>, позволяют снизить вероятность атак на Android.
</p>
<ul>
<li>В новых версиях Android сложнее использовать многие уязвимости, поэтому мы рекомендуем всем пользователям своевременно обновлять систему.</li>
<li>Команда, отвечающая за безопасность Android, активно отслеживает злоупотребления с помощью <a href="https://www.android.com/play-protect">Google Play Защиты</a> и предупреждает пользователей об установке <a href="/security/reports/Google_Android_Security_PHA_classifications.pdf">потенциально опасных приложений</a>. Google Play Защита включена по умолчанию на всех устройствах с <a href="http://www.android.com/gms">сервисами Google для мобильных устройств</a>. Она особенно важна, если пользователь устанавливает ПО из сторонних источников.</li>
</ul>
<h2 id="2018-02-01-details">Описание уязвимостей (обновление системы безопасности 2018-02-01)</h2>
<p>
В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2018-02-01. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица с CVE, ссылками, <a href="#type">типом</a>, <a href="/security/overview/updates-resources.html#severity">уровнем серьезности</a>, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.
</p>

<h3 id="media-framework">Media Framework</h3>
<p>Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13228</td>
    <td><a href="https://android.googlesource.com/platform/external/libavc/+/04b68a0a51729b655bcd0f5ae5ec20645eeda946">
    A-69478425</a></td>
    <td>УВК</td>
    <td>Критический</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13231</td>
   <td><a href="https://android.googlesource.com/platform/hardware/interfaces/+/16a3cd0b0729bd53265897cf8c790013156e92ce">
   A-67962232</a>
   </td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13232</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/6a5d1fc7cbccd85054e56542a633149622effa67">
   A-68953950</a>
   </td>
    <td>РИ</td>
    <td>Высокий</td>
    <td>5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13230</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/libhevc/+/68e532d83a1b98f6b5e297d71b547ed93a68dfe3">
    A-65483665</a></td>
    <td>ОО</td>
    <td>Высокий</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>УВК</td>
    <td>Критический</td>
    <td>5.1.1, 6.0, 6.0.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13233</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/a22314db4e0cfe11ef3e50dac6a13d52f7a595b3">
   A-62851602</a>
   </td>
    <td>ОО</td>
    <td>Высокий</td>
    <td>5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13234</td>
   <td><a href="https://android.googlesource.com/platform/external/sonivox/+/33f45caed3b60bf81790e9b76cf82c8e8d6ed902">
   A-68159767</a>
   </td>
    <td>ОО</td>
    <td>Высокий</td>
    <td>5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
</tbody></table>

<h3 id="system">Система</h3>
<p>Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять команды, обычно доступные только привилегированным процессам.</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13236</td>
   <td><a href="https://android.googlesource.com/platform/system/security/+/80592e62a6ae095041e95b811ad7066dd44d37f6">A-68217699</a> [<a href="https://android.googlesource.com/platform/system/security/+/b49160023ee8f73ce0ac97f9f4604a34ebdecf76">2</a>]
   </td>
    <td>ПП</td>
    <td>Средний</td>
    <td>8.0, 8.1</td>
  </tr>
</tbody></table>

<h2 id="2018-02-05-details">Описание уязвимостей (обновление системы безопасности 2018-02-05)</h2>
<p>
В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2018-02-05. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведена таблица с CVE, ссылками, <a href="#type">типом</a>, <a href="/security/overview/updates-resources.html#severity">уровнем серьезности</a>, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.
</p>

<h3 id="htc-components">Компоненты HTC</h3>
<p>Самая серьезная уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным.</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-13238</td>
    <td>A-64610940<a href="#asterisk">*</a></td>
    <td>РИ</td>
    <td>Высокий</td>
    <td>Загрузчик</td>
  </tr>
  <tr>
    <td>CVE-2017-13247</td>
    <td>A-71486645<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Загрузчик</td>
  </tr>
</tbody></table>

<h3 id="kernel-components">Компоненты ядра</h3>
<p>Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-15265</td>
    <td>A-67900971<br />
        <a href="https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/sound/?h=v4.4.103&id=23709ae9b61429502fcd4686e7a97333f3b3544a">
Upstream kernel</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>ALSA</td>
  </tr>
  <tr>
    <td>CVE-2015-9016</td>
    <td>A-63083046<br />
        <a href="https://github.com/torvalds/linux/commit/0048b4837affd153897ed1222283492070027aa9">
Upstream kernel</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Механизм многопоточного доступа к блочным устройствам blk-mq</td>
  </tr>
  <tr>
    <td>CVE-2017-13273</td>
    <td>A-65853158<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Ядро</td>
  </tr>
</tbody></table>

<h3 id="nvidia-components">Компоненты NVIDIA</h3>
<p>Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-6279</td>
    <td>A-65023166<a href="#asterisk">*</a><br />
        N-CVE-2017-6279</td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Media Framework</td>
  </tr>
  <tr>
    <td>CVE-2017-6258</td>
    <td>A-38027496<a href="#asterisk">*</a><br />
        N-CVE-2017-6258</td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Media Framework</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Компоненты Qualcomm</h3>
<p>Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-15860</td>
    <td>A-68992416<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=71331327ac389bff7d5af2707c4325e5b7949013">QC-CR#2082544</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=a6afff2717791ceb281354833d4489123ae62605">2</a>]</td>
    <td>УВК</td>
    <td>Критический</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-11041</td>
    <td>A-35269676<a href="#asterisk">*</a><br />
        QC-CR#2053101</td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Media Framework</td>
  </tr>
  <tr>
    <td>CVE-2017-17767</td>
    <td>A-64750179<a href="#asterisk">*</a><br />
        QC-CR#2115779</td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Media Framework</td>
  </tr>
  <tr>
    <td>CVE-2017-17765</td>
    <td>A-68992445<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=66e561b0c7fff54e8cacd87d2b7d9bb3eef4f13b">
QC-CR#2115112</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15862</td>
    <td>A-68992439<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=41ee23cd0972ef2ed47dd76eb7cd44a0268e4f9f">
QC-CR#2114426</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-14884</td>
    <td>A-68992429<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=0ce15ef4075719a82858b7324690be7011cab832">
QC-CR#2113052</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15829</td>
    <td>A-68992397<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=c1b60e554e158bfcf6932ed2c543c309236e0f79">
QC-CR#2097917</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Graphics_Linux</td>
  </tr>
  <tr>
    <td>CVE-2017-15820</td>
    <td>A-68992396<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=7599c5b7d87248b4772d6c4b70ccb922704c8095">
QC-CR#2093377</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>Graphics_Linux</td>
  </tr>
  <tr>
    <td>CVE-2017-17764</td>
    <td>A-68992443<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=f451565c052a0322565225515f46be677c0d1b18">
QC-CR#2114789</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15861</td>
    <td>A-68992434<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=13e3a516935a0dd90a7bc39e51c30c1592c548b7">
QC-CR#2114187</a></td>
    <td>ПП</td>
    <td>Высокий</td>
    <td>WLAN</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-closed-source-components">Компоненты Qualcomm с закрытым исходным кодом</h3>
<p>Эти уязвимости затрагивают компоненты Qualcomm. Они описаны в бюллетенях по безопасности Qualcomm AMSS и оповещениях системы безопасности. Уровень серьезности этих уязвимостей определяется непосредственно компанией Qualcomm.</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-14910</td>
    <td>A-62212114<a href="#asterisk">*</a></td>
    <td>Н/Д</td>
    <td>Высокий</td>
    <td>Компонент с закрытым исходным кодом</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">Часто задаваемые вопросы</h2>
<p>
В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.</p>
<p><strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?
</strong></p>
<p>Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Справочном центре</a>.</p>
<ul>
<li>В исправлении от 1 февраля 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-02-01.</li>
<li>В исправлении от 5 февраля 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-02-05.</li>
</ul>
<p>
Производители устройств, позволяющие установить эти обновления, должны присвоить им один из следующих уровней:
</p>
<ul>
	<li>[ro.build.version.security_patch]:[2018-02-01]</li>
	<li>[ro.build.version.security_patch]:[2018-02-05]</li>
</ul>
<p>
<strong>2. Почему в этом бюллетене говорится о двух обновлениях системы безопасности?</strong>
</p>
<p>
Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Рекомендуем партнерам Android исправить все вышеперечисленные проблемы и установить последнее обновление системы безопасности.
</p>
<ul>
<li>На устройствах с установленным обновлением 2018-02-01 должны быть исправлены все проблемы, упомянутые в соответствующем разделе этого бюллетеня, а также в предыдущих выпусках.</li>
<li>На устройствах с установленным обновлением 2018-02-05 или более новым должны быть исправлены все проблемы, упомянутые в этом бюллетене и предыдущих выпусках.</li>
</ul>
<p>
Рекомендуем партнерам собрать все исправления проблем в одно обновление.
</p>
<p id="type">
<strong>3. Что означают сокращения в столбце <em>Тип</em>?</strong>
</p>
<p>
В этом столбце указан тип уязвимости по следующей классификации:<em></em>
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Сокращение</th>
   <th>Описание</th>
  </tr>
  <tr>
   <td>УВК</td>
   <td>Удаленное выполнение кода</td>
  </tr>
  <tr>
   <td>ПП</td>
   <td>Повышение привилегий</td>
  </tr>
  <tr>
   <td>РИ</td>
   <td>Раскрытие информации</td>
  </tr>
  <tr>
   <td>ОО</td>
   <td>Отказ в обслуживании</td>
  </tr>
  <tr>
   <td>Н/Д</td>
   <td>Классификация недоступна</td>
  </tr>
</tbody></table>
<p>
<strong>4. На что указывают записи в столбце <em>Ссылки</em>?</strong>
</p>
<p>
В таблицах с описанием уязвимостей есть столбец <em>Ссылки</em>. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Префикс</th>
   <th>Значение</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Идентификатор ошибки Android</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Ссылочный номер Qualcomm</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>Ссылочный номер MediaTek</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>Ссылочный номер NVIDIA</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Ссылочный номер Broadcom</td>
  </tr>
</tbody></table>
<p id="asterisk">
<strong>5. Что означает символ * рядом с идентификатором ошибки Android в столбце <em>Ссылки</em>?</strong>
</p>
<p>
Символ * означает, что исправление для уязвимости не опубликовано.<em></em> Необходимое обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<p>
<strong>6. Почему теперь одни уязвимости описываются в этих бюллетенях, а другие – в бюллетенях по безопасности Pixel  и Nexus, а также в остальных бюллетенях партнеров?</strong>
</p>
<p>
В этом бюллетене описаны уязвимости, которые были устранены в последнем обновлении системы безопасности для устройств Android.
Решать дополнительные проблемы, перечисленные в бюллетенях по безопасности партнеров, для этого не потребовалось.
Мы рекомендуем производителям чипсетов и устройств Android рассказывать об исправлениях для своих устройств в бюллетенях по безопасности на собственных сайтах, например <a href="https://security.samsungmobile.com/securityUpdate.smsb">Samsung</a>, <a href="https://lgsecurity.lge.com/security_updates.html">LGE</a>, а также <a href="/security/bulletin/pixel/">Pixel  и Nexus</a>.
</p>
<h2 id="versions">Версии</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>Версия</th>
	  <th>Дата</th>
   <th>Примечания</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>5 февраля 2018 г.</td>
   <td>Бюллетень опубликован.</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>7 февраля 2018 г.</td>
   <td>Добавлены ссылки на AOSP.</td>
  </tr>
  <tr>
   <td>1.2</td>
   <td>14 февраля 2018 г.</td>
   <td>Исправлены идентификаторы уязвимостей CVE-2017-13273, CVE-2017-15860, CVE-2017-15861 и CVE-2017-15862.</td>
  </tr>
    <tr>
   <td>1.3</td>
   <td>2 апреля 2018 г.</td>
   <td>Сведения об уязвимости CVE-2017-15817 перенесены из бюллетеня по безопасности Android за февраль в этот бюллетень.</td>
  </tr>
</tbody></table>
	
</body></html>